CmsCouponPricer Class Reference

base pricer for vanilla CMS coupons More...

`#include <ql/cashflows/couponpricer.hpp>`

Inheritance diagram for CmsCouponPricer:
[legend]

## Public Member Functions

| CmsCouponPricer (const Handle< SwaptionVolatilityStructure > &v=Handle< SwaptionVolatilityStructure >())
Handle< SwaptionVolatilityStructure > | swaptionVolatility () const
void | setSwaptionVolatility (const Handle< SwaptionVolatilityStructure > &v=Handle< SwaptionVolatilityStructure >())
Public Member Functions inherited from FloatingRateCouponPricer
virtual Real | swapletPrice () const =0
virtual Rate | swapletRate () const =0
virtual Real | capletPrice (Rate effectiveCap) const =0
virtual Rate | capletRate (Rate effectiveCap) const =0
virtual Real | floorletPrice (Rate effectiveFloor) const =0
virtual Rate | floorletRate (Rate effectiveFloor) const =0
virtual void | initialize (const FloatingRateCoupon &coupon)=0
void | update ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Additional Inherited Members

Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Detailed Description

base pricer for vanilla CMS coupons